curl --request GET \
--url https://api.managem.co.uk/user/purchases/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.managem.co.uk/user/purchases/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.managem.co.uk/user/purchases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"customerEmailAddress": "jsmith@example.com",
"deliveryCharge": 123,
"deliveryAddress": {
"name": "<string>",
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"subtotal": 123,
"total": 123,
"serviceFee": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"orders": [
{
"id": "<string>",
"sellerId": "<string>",
"purchaseId": "<string>",
"deliveryCharge": 123,
"subtotal": 123,
"total": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"items": [
{
"id": "<string>",
"listingId": "<string>",
"orderId": "<string>",
"urn": "<string>",
"price": 123,
"quantity": 123,
"condition": "<string>",
"language": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"item": {
"urn": "<string>",
"type": "card",
"game": "Pokemon",
"title": "<string>",
"name": "<string>",
"rarity": "<string>",
"set": {
"name": "<string>",
"urn": "<string>",
"counts": {
"printed": 123,
"total": 123
},
"references": [
"<string>"
],
"size": 123,
"symbol": {
"url": "<string>"
},
"released": "<string>"
},
"series": {
"name": "<string>",
"urn": "<string>"
},
"images": [
{
"urn": "<string>",
"url": "<string>",
"illustrator": "<string>"
}
],
"alternatives": [
"<string>"
],
"metadata": [
{
"name": "<string>",
"value": "<string>",
"detail": [
"<unknown>"
]
}
],
"number": "<string>",
"description": "<string>",
"price": 123,
"available": 1
},
"status": "ACCEPTED",
"variants": [],
"comment": "<string>",
"shipmentId": "<string>"
}
],
"shipments": [
{
"id": "<string>",
"orderId": "<string>",
"trackingNumber": "<string>",
"trackingStatus": "<string>",
"trackingStatusDetail": "<string>",
"trackingUrl": "<string>",
"carrier": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attachments": [
{
"id": "<string>",
"url": "<string>",
"hidden": true
}
]
}
],
"user": {
"id": "<string>",
"username": "<string>",
"reviews": 123,
"rating": 123,
"score": 123,
"sales": 123,
"purchases": 123,
"joined": "2023-11-07T05:31:56Z",
"avatar": "<string>",
"cover": "<string>",
"profile": "<string>"
},
"adjustments": [],
"reviews": {}
}
],
"cases": [
{
"id": "<string>",
"workflowId": "<string>",
"purchaseId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"outcomes": [
{
"id": "<string>",
"caseId": "<string>",
"amount": 1,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"comment": "<string>",
"deliveryAddress": "<unknown>"
}
],
"attachments": [
{
"url": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"comment": "<string>"
}
],
"status": "ACTIVE",
"invoiceId": "<string>",
"user": {
"id": "<string>",
"username": "<string>",
"reviews": 123,
"rating": 123,
"score": 123,
"sales": 123,
"purchases": 123,
"joined": "2023-11-07T05:31:56Z",
"avatar": "<string>",
"cover": "<string>",
"profile": "<string>"
},
"refunds": []
}Get purchase
Get full detail for one buyer purchase.
Use this endpoint for order-tracking pages and deep purchase detail views.
What is included:
- Orders, items, shipments, adjustments, refunds, and linked cases.
- Seller user summaries.
- Item metadata resolved from catalog search infrastructure.
Rules:
- Purchase must belong to the authenticated user.
- Returns
404when purchase is missing or not owned.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Purchase ID
Response
Purchase
Unique identifier for the purchase
Email address used for the purchase
Delivery charge in pence
Address where the order should be delivered
Show child attributes
Show child attributes
Subtotal in pence
Total in pence
Service fee in pence
Timestamp when the purchase was created
Timestamp when the purchase was last updated
Orders included in the purchase
Show child attributes
Show child attributes
Cases associated with the purchase
Show child attributes
Show child attributes
Purchase status
ACTIVE, REFUNDED, COMPLETED Invoice identifier generated for the purchase
User that purchased the items
Show child attributes
Show child attributes
Refunds against this purchase (Stripe IDs omitted)
Show child attributes
Show child attributes